# FairMQ: fair::mq::shmem::Region Struct Reference

fair::mq::shmem::Region Struct Reference

## Public Member Functions

| Region (const std::string &shmId, uint16_t id, uint64_t size, bool remote, RegionCallback callback, RegionBulkCallback bulkCallback, const std::string &path, int flags)
| Region (const Region &)=delete
| Region (Region &&)=delete
void | InitializeQueues ()
void | StartSendingAcks ()
void | SendAcks ()
void | StartReceivingAcks ()
void | ReceiveAcks ()
void | ReleaseBlock (const RegionBlock &block)
void | SetLinger (uint32_t linger)
uint32_t | GetLinger () const

## Public Attributes

bool | fRemote
uint32_t | fLinger
std::atomic< bool > | fStop
std::string | fName
std::string | fQueueName
boost::interprocess::shared_memory_object | fShmemObject
FILE * | fFile
boost::interprocess::file_mapping | fFileMapping
boost::interprocess::mapped_region | fRegion
std::mutex | fBlockMtx
std::condition_variable | fBlockSendCV
std::vector< RegionBlock > | fBlocksToFree
const std::size_t | fAckBunchSize = 256
std::unique_ptr< boost::interprocess::message_queue > | fQueue
std::thread | fAcksReceiver
std::thread | fAcksSender
RegionCallback | fCallback
RegionBulkCallback | fBulkCallback

The documentation for this struct was generated from the following file:

- fairmq/shmem/Region.h

privacy